Subject: bug#16722: 24.3.50; `M-x man' does not handle case appropriately

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Sep 2020 13:36:47 +0200

Eli Zaretskii <[email-masked]> writes:

> I can only test the ezwinports case: the code proposed by Noam will
> cause that 'man' to return a non-zero exit status, so it sounds like
> an okay solution for ezwinports.
>
> The use case with uninstalled whatis database you could probably test
> on your system, by moving the database aside or renaming it?

I tried this on Debian bullseye, and "man -k" indeed had a non-zero
return code.

So I'll just apply Noam's patch and close the bug report.

Thanks for checking the ezwinports case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no